Package com.netrics.likeit

## Class NetricsFileFormatException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.netrics.likeit.NetricsRecSrcException
      - - com.netrics.likeit.NetricsFileFormatException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class NetricsFileFormatException
      extends NetricsRecSrcException

  Exceptions thrown by File Readers. These exceptions are thrown by classes that read records from files or streams. Exceptions may be in response to invalid file format specifications or invalid formats within the file data.
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getCharPos()` | return the character position within the (logical) line the exception occurred on, zero if unknown.
    `int` | `getLine()` | return the file line the exception occurred on, zero if unknown.
    `int` | `getRecNum()` | return the record sequence number (1 based) the exception was on, zero if unknown.
    `java.lang.String` | `toString()` | return formatted string version of exception info.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getLine

          public int getLine()

      return the file line the exception occurred on, zero if unknown.
      Returns:
        the file line the exception occurred on

    - #### getCharPos

          public int getCharPos()

      return the character position within the (logical) line the exception occurred on, zero if unknown.
      Returns:
        the character position within the (logical) line the exception occurred on.

    - #### getRecNum

          public int getRecNum()

      return the record sequence number (1 based) the exception was on, zero if unknown.
      Returns:
        the record sequence number (1 based) the exception was on.

    - #### toString

          public java.lang.String toString()

      return formatted string version of exception info.
      Overrides:
        `toString` in class `NetricsRecSrcException`
      Returns:
        formatted string version of exception info.